org.apache.cayenne.exp.parser

## Class ASTMultiply

- java.lang.Object
- - org.apache.cayenne.exp.Expression
  - - org.apache.cayenne.exp.parser.SimpleNode
    - - org.apache.cayenne.exp.parser.EvaluatedNode
      - - org.apache.cayenne.exp.parser.EvaluatedMathNode
        - - org.apache.cayenne.exp.parser.ASTMultiply

- All Implemented Interfaces:
    Serializable, Node, XMLSerializable

      public class ASTMultiply
      extends EvaluatedMathNode

  "Multiply" expression.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `children, id, parent`

    - ### Fields inherited from class org.apache.cayenne.exp.Expression

      `ADD, AND, ASTERISK, BETWEEN, BITWISE_AND, BITWISE_LEFT_SHIFT, BITWISE_NOT, BITWISE_OR, BITWISE_RIGHT_SHIFT, BITWISE_XOR, DB_PATH, DIVIDE, EQUAL_TO, FALSE, FULL_OBJECT, FUNCTION_CALL, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBTRACT, TRUE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTMultiply()`
    `ASTMultiply(Collection<?> nodes)`
    `ASTMultiply(Object[] nodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getExpressionOperator(int index)`
    `int` | `getType()` Returns a type of expression.
    `void` | `jjtClose()` Called after all the child nodes have been added.
    `protected BigDecimal` | `op(BigDecimal result, BigDecimal arg)`
    `Expression` | `shallowCopy()` Creates a copy of this expression node, without copying children.

    - ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedMathNode

      `evaluateSubNode, getRequiredChildrenCount`

    - ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedNode

      `evaluateNode`

    - ### Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `appendAsEJBQL, appendAsEJBQL, appendAsEscapedString, appendAsString, appendChildrenAsEJBQL, appendScalarAsString, connectChildren, encodeAsEJBQL, encodeAsString, encodeScalarAsEJBQL, evaluate, evaluateChild, expName, flattenTree, getEJBQLExpressionOperator, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

    - ### Methods inherited from class org.apache.cayenne.exp.Expression

      `andExp, andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, first, fromString, hashCode, joinExp, joinExp, match, orExp, orExp, params, params, paramsArray, setType, toEJBQL, toEJBQL, toString, transform, transformExpression, traverse, traverse`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTMultiply

          public ASTMultiply()

    - #### ASTMultiply

          public ASTMultiply(Object[] nodes)

    - #### ASTMultiply

          public ASTMultiply(Collection<?> nodes)

  - ### Method Detail

    - #### op

          protected BigDecimal op(BigDecimal result,
                                  BigDecimal arg)

      Specified by:
        `op` in class `EvaluatedMathNode`

    - #### shallowCopy

          public Expression shallowCopy()

      Creates a copy of this expression node, without copying children.
      Specified by:
        `shallowCopy` in class `Expression`

    - #### getExpressionOperator

          protected String getExpressionOperator(int index)

      Specified by:
        `getExpressionOperator` in class `SimpleNode`

    - #### getType

          public int getType()

      Description copied from class: `Expression`
      Returns a type of expression. Most common types are defined as public static fields of this interface.
      Overrides:
        `getType` in class `Expression`

    - #### jjtClose

          public void jjtClose()

      Description copied from interface: `Node`
      Called after all the child nodes have been added.
      Specified by:
        `jjtClose` in interface `Node`
      Overrides:
        `jjtClose` in class `SimpleNode`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.